Commit c1228312 authored by Colin PUY's avatar Colin PUY

tr(mvn): bump maven-frontend-plugin version to 1.0 (#1977)

Also update node and npm versions.
node => v4.4.7
npm => 2.15.8
parent d21dfdab
#!/bin/sh
# This file is needed by npm-frontend-plugin since due to a bug, this plugin doesn't work whithout local node installation for our need
# https://github.com/eirslett/frontend-maven-plugin/issues/204
"node/node" "node/npm/bin/npm-cli.js" "$@"
REM This file is needed by npm-frontend-plugin since due to a bug, this plugin doesn't work whithout local node installation for our need
REM https://github.com/eirslett/frontend-maven-plugin/issues/204
@echo off
%~dp0node/npm %*
@echo on
......@@ -13,9 +13,6 @@
<!-- Properties encoding used by the maven compiler -->
<maven.compiler.source>1.7</maven.compiler.source>
<maven.compiler.target>1.7</maven.compiler.target>
<!-- Properties encoding used by the npm plugin -->
<nodeVersion>v4.2.0</nodeVersion>
<npmVersion>3.5.0</npmVersion>
</properties>
<modules>
......@@ -32,4 +29,21 @@
</profile>
</profiles>
<build>
<pluginManagement>
<plugins>
<plugin>
<groupId>com.github.eirslett</groupId>
<artifactId>frontend-maven-plugin</artifactId>
<version>1.0</version>
<configuration>
<installDirectory>${session.executionRootDirectory}</installDirectory>
<nodeVersion>v4.4.7</nodeVersion>
<npmVersion>2.15.8</npmVersion>
</configuration>
</plugin>
</plugins>
</pluginManagement>
</build>
</project>
......@@ -84,7 +84,6 @@
<plugin>
<groupId>com.github.eirslett</groupId>
<artifactId>frontend-maven-plugin</artifactId>
<version>0.0.19</version>
<executions>
<execution>
<id>install node and npm</id>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment